path: /build/build/nvidia-570-kernel-modules-kernel-6.1-570.172.08+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - anise repo update && anise upgrade -y && anise i -y x11-drivers-570/nvidia-drivers
    && anise cleanup && emerge =x11-drivers/nvidia-kernel-modules-570.172.08 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-570.172.08
  - |
    eval 'rm -rf /nvidia-570-kernel-modules || true' && mkdir /nvidia-570-kernel-modules && \
    luet-portage --dir /nvidia-570-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-570-kernel-modules/lib/modules/nvidia/570.172.08/6.1.150-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:90cf8fcc68d9152db2761b8a00b0a3c5eb1004eadf8e8633b231b4db538454e1
  package:
    name: nvidia-570-kernel-modules
    version: 570.172.08+1
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-11 10:27:07.66575832 +0000 UTC m=+963.595866169
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.150
      original.package.slot: "570"
      original.package.version: 570.172.08
    treedir: /build/packages
  package_dir: /nvidia-570-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cc72182a4cdd090043ab719cfaab88e374870955f01cb71902887908d6ef398b
compressiontype: zstd
files:
- lib/modules/nvidia/570.172.08/6.1.150-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia/570.172.08/6.1.150-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia/570.172.08/6.1.150-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia/570.172.08/6.1.150-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-570-kernel-modules
  version: 570.172.08+1
  category: kernel-6.1
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.150
    original.package.slot: "570"
    original.package.version: 570.172.08
